Page MenuHomePhabricator

efl-wl: start conversion to eo
ClosedPublic

Authored by zmike on Mar 5 2020, 11:18 AM.

Details

Summary

this converts the main efl-wl object to an eo-based canvas group object

Depends on D11465

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Mar 5 2020, 11:18 AM
zmike requested review of this revision.Mar 5 2020, 11:18 AM
segfaultxavi requested changes to this revision.Mar 6 2020, 12:17 AM

I see methods in Efl_Wl.h that are not here (like scale). Is this intended?

src/lib/efl_wl/efl_wl.eo
8

I beg you pardon?

12

I guess we cannot reuse any of the other orientation enums we have because of the different namespace, and because this is a "rotation", not an "orientation". Correct?

35

Do we really need two separate APIs for this? Can't we just allow NULL flags (or equivalent)?

42

pid sounds too ambiguous. Maybe allowed_pid_add/del instead?

52

Too ambiguous again. Maybe window_next/prev?

91

No corresponding removed events?

This revision now requires changes to proceed.Mar 6 2020, 12:17 AM
zmike added inline comments.Mar 6 2020, 6:06 AM
src/lib/efl_wl/efl_wl.eo
8

it's a wip patch!

12

No, we can't reuse it because this is counter-clockwise and everything else is clockwise.

35

Valid point

42

Could work

52

Probably want to use surface since we're talking about wayland here

91

No, they're canvas objects so users can watch them manually.

zmike updated this revision to Diff 29369.Mar 6 2020, 9:18 AM
zmike edited the summary of this revision. (Show Details)

convert harder

segfaultxavi added inline comments.Mar 9 2020, 1:53 AM
src/lib/efl_wl/efl_wl.eo
35

So are you planning on acting on it, or is the patch up for review again?

zmike updated this revision to Diff 29398.Mar 9 2020, 9:15 AM

fixups/rebase

segfaultxavi resigned from this revision.Mar 9 2020, 9:37 AM

API looks alright then!

bu5hm4n accepted this revision.Mar 12 2020, 4:34 AM
bu5hm4n added inline comments.
src/lib/efl_wl/efl_wl.eo
12

I am also wondering if we have already something like this ?

This revision is now accepted and ready to land.Mar 12 2020, 4:34 AM
This revision was automatically updated to reflect the committed changes.